#!/usr/bin/env python

#This script is used test reading in (using the i2c bus) a two byte analog value from an attiny chip.

import smbus
import time
import struct
bus = smbus.SMBus(1)

# This is the address setup in the attiny Program
address = 0x26 # 0x26 or 0x38?

#send a hex value to attiny
def writeNumber(value):
	bus.write_byte(address, value)
	return -1

#read 2bytes from attiny
def readNumber():
	key = bytearray([0x00, 0x00])
	
	key[0] = bus.read_byte(address)
	key[1] = bus.read_byte(address)
 
	intKey = key[1] << 8 | key[0]

		
	return intKey

#main loop
while True:
	time.sleep(.2)
	writeNumber(0x31)

	print "Integer: ", readNumber() 
